package com.muyu.common.system.remote;


import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.Business;
import com.muyu.common.system.remote.factory.RemoteSaaSFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 用户服务
 *
 * @author muyu
 */
@FeignClient(contextId = "SaasService", value = ServiceNameConstants.SAAS_SERVICE, fallbackFactory = RemoteSaaSFallbackFactory.class)
public interface RemoteSaaSService {

    @GetMapping("/saas/findDatabaseList")
    Result<List<Business>> findDatabaseList();



}
