package com.muyu.common.system.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.Business;
import com.muyu.common.system.remote.RemoteSaaSService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 用户服务降级处理
 *
 * @author muyu
 */
@Component
public class RemoteSaaSFallbackFactory implements FallbackFactory<RemoteSaaSService> {

    @Override
    public RemoteSaaSService create(Throwable cause) {
        return new RemoteSaaSService() {
            @Override
            public Result<List<Business>> findDatabaseList() {
                return Result.error("查询数据库失败:" + cause.getMessage());
            }
        };
    }
}
